QT = {}
_G.QT = QT;

mQuestTrackerVariables = {};
QT.DefaultConfig = {
	["ShowUntracked"] = true,
	["Visible"] = true,
	["PlaySound"] = true,
	["ExtraQuestBook"] = false,
	["NewQuestShow"] = false,
};

QT.ShortName = 'QT';
QT.Name = 'Myaff Quest Tracker';
QT.Version = '0.0.1a';
QT.cc = "|cffFCFC7D"; -- Chat Color
QT.MessageFormat = "|cffFFFFFF[|cff00dd00" .. QT.ShortName .. "|cffFFFFFF]: " .. QT.cc .. "%s|r";
QT.events = {};
QT.ui = {};
QT.tools = {};
QT.qb = {};
QT.Vars = {
	["QuestsCount"] = -1,
	["QuestsView"] = -1,
	["Shower"] = false,
	["ShowStep"] = -1,
	["StepsCount"] = 40,
};
QT.QuestBook = {};
QT.YESPattern = "|cff009900%s|r";
QT.NOPattern = "|cff990000%s|r";
QT.Sounds = {};

function QT.Message( text )
	text = tostring( text );
	for n=1,10 do
		_G[ "ChatFrame" .. n ]:AddMessage( string.format( QT.MessageFormat, text ) );
	end;
	if( MUIChatFrame ~= nil )then
		MUIChatFrameChat1:AddMessage( string.format( QT.MessageFormat, text ) );
	end;
end;

function QT.OnLoad( this )
	this:RegisterForClicks( "LeftButton", "RightButton" );
	this:RegisterEvent("VARIABLES_LOADED");
	this:RegisterEvent("SAVE_VARIABLES");
	this:RegisterEvent("RESET_QUESTTRACK");
	this:RegisterEvent("RESET_QUESTBOOK");
	this:RegisterEvent("ADDNEW_QUESTBOOK");
	this:RegisterEvent("QUEST_COMPLETE");
    this:RegisterEvent("UNIT_LEVEL");
end;
