function QT.tools.GrabQuestsInfo()
	
	QT.Vars.QuestsCount = GetNumQuestBookButton_QuestBook();
	QT.Vars.QuestsView = 0;

	local stOldQuestList = QT.QuestBook;
	QT.QuestBook = {};
	
	for n = 1, QT.Vars.QuestsCount do
		local index, catalogID, name, track, level, daily, bDaily_num, iQuestType, questID, completed, QuestGroup = GetQuestInfo( n );
		ViewQuest_QuestBook( n );
		QT.QuestBook[ n ] = {
			["index"] = index,
			["catalogID"] = catalogID,
			["name"] = name,
			["track"] = track,
			["level"] = level,
			["daily"] = daily,
			["bDaily_num"] = bDaily_num,
			["iQuestType"] = iQuestType,
			["questID"] = questID,
			["completed"] = completed,
			["iQuestGroup"] = QuestGroup,
			["description"] = GetQuestDesc_QuestDetail(),
			["details"] = GetQuestDetail_QuestDetail(),
			["exp"] = GetQuestExp_QuestDetail(),
			["tp"] = GetQuestTP_QuestDetail(),
			["money"] = GetQuestMoney_QuestDetail(),
		};
		if( track == 0 )and( mQuestTrackerVariables.ShowUntracked )then
			QT.Vars.QuestsView = QT.Vars.QuestsView + 1;
		end;
		if( track > 1 )then
			QT.Vars.QuestsView = QT.Vars.QuestsView + 1;
		end;
	end;
	
	for n = 1, #QT.Sounds do
		if( ( QT.Sounds[ n ] ~= nil )and( #QT.Sounds[ n ] > 0 ) )and( QT.QuestBook[ n ] == nil )then
			QT.Sounds[ n ] = {};
		end;
	end;
	
	if( mQuestTrackerVariables.NewQuestShow )and( #stOldQuestList > 0 )and( #stOldQuestList < #QT.QuestBook )then
		for n = 1, #QT.QuestBook do
			local flag = false;
			for i = 1, #stOldQuestList do
				if( stOldQuestList[ i ]["name"] == QT.QuestBook[ n ]["name"] )then flag = true; end;
			end;
			if( not flag )and( mQuestTrackerVariables.NewQuestShow )then QT.ui.ShowNewQuest( QT.QuestBook[ n ]["name"] ); end;
		end;
	end;
	
end;

function QT.tools.UpdateQuestsInfo()
	QT.Vars.QuestsView = 0;
	for n = 1, GetNumQuestBookButton_QuestBook() do
		local index, catalogID, name, track, level, daily, bDaily_num, iQuestType, questID, completed, QuestGroup = GetQuestInfo( n );
		if( QT.QuestBook[ n ] ~= nil )then
			QT.QuestBook[ n ]["track"] = track;
			QT.QuestBook[ n ]["completed"] = completed;
		end;
		if( track == 0 )and( mQuestTrackerVariables.ShowUntracked )then
			QT.Vars.QuestsView = QT.Vars.QuestsView + 1;
		end;
		if( track > 1 )then
			QT.Vars.QuestsView = QT.Vars.QuestsView + 1;
		end;
	end;
end;

--[[ /run dofile("Interface/AddOns/mQuestTracker/code/tools.lua"); ]]